# https://static-php.dev/en/guide/cli-generator.html
# Not usable with PHP 8.3 and higher
## amqp, opcache, ssh2, igbinary, rar, pdo_sqlsrv, yac, memcache, memcached, swoole, all swoole-hook- exts
# Only PHP 8.4 or lower
## spx
### libssh2
# Not usable for static build
## xdebug
# Must be compiled with FTF
## parallel
# Conflicts
## protobuf with grpc
# Already provided
## All pdo_ by swoole-hook- exts
# Script do not fetch source code
## grpc
php-version: 8.5
extensions: apcu,ast,bcmath,brotli,bz2,calendar,ctype,curl,dba,dio,dom,ds,ev,event,exif,ffi,fileinfo,filter,ftp,gd,gettext,gmp,gmssl,iconv,imap,imagick,inotify,intl,ldap,libxml,lz4,mbregex,mbstring,mongodb,msgpack,mysqli,mysqlnd,odbc,openssl,opentelemetry,password-argon2,pcntl,pdo,pdo_mysql,pdo_odbc,pdo_pgsql,pdo_sqlite,pgsql,phar,posix,rdkafka,readline,redis,session,shmop,simdjson,simplexml,snappy,soap,sockets,sodium,sqlite3,sqlsrv,swow,sysvmsg,sysvsem,sysvshm,tidy,tokenizer,uuid,uv,xhprof,xlswriter,xml,xmlreader,xmlwriter,xsl,xz,yaml,zip,zlib,zstd
sapi: fpm,cli
debug: true
download-options:
  prefer-pre-built: true